package net.heartshield.prevent;

import android.app.Activity;
import android.content.Context;
import android.content.Intent;
import android.media.AudioFormat;
import android.media.AudioManager;
import android.media.AudioTrack;
import android.os.Bundle;
import android.os.Environment;
import android.support.annotation.Nullable;
import android.util.Log;
import android.widget.Toast;

import net.heartshield.data.FileUtil;
import net.heartshield.filter.FirFilter;
import net.heartshield.filter.IRFilterBlock;
import net.heartshield.filter.PcgBeatDetector;
import net.heartshield.sensors.AudioSensorBase;
import net.heartshield.sensors.IAudioSensorBase;
import net.heartshield.signal.AudioDecoder;
import net.heartshield.signal.DVec;
import net.heartshield.signal.SVec;

import java.io.IOException;

/**
 * @author David Madl (git@abanbytes.eu)
 * @date 2017-05-16
 */
public class PcgActivity extends Activity {
    private static final String TAG = "PcgActivity";

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_pcg);
    }

    @Override
    protected void onResume() {
        super.onResume();

        // bounce back
        finish();
    }

    @Override
    protected void onPause() {
        super.onPause();
    }
}
